Bug 1277990 - openstack-ironic-inspector-dnsmasq.service: failed to start during undercloud installation
openstack-ironic-inspector-dnsmasq.service: failed to start during undercloud...
Status: CLOSED NOTABUG
Product: RDO
Classification: Community
Component: openstack-tripleo (Show other bugs)
Liberty
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: James Slagle
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 08:43 EST by Ola Pavlenko
Modified: 2017-06-18 02:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 02:19:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
part_of_debug.log (11.56 KB, text/plain)
2015-11-04 08:43 EST, Ola Pavlenko
no flags Details

  None (edit)
Description Ola Pavlenko 2015-11-04 08:43:36 EST
Created attachment 1089682 [details]
part_of_debug.log

Description of problem:
Undercloud installation failed  on RHEL 7.1 :
" Execution of '/bin/systemctl start openstack-ironic-inspector-dnsmasq' returned 1" 
Also tried to start the service manually and got:
Nov 04 08:09:09 instack.localdomain sudo[7501]: stack : TTY=pts/1 ; PWD=/home/stack ; USER=root ; COMMAND=/bin/sy...rvice
Nov 04 08:09:09 instack.localdomain systemd[1]: Starting PXE boot dnsmasq service for Ironic Inspector...
Nov 04 08:09:09 instack.localdomain dnsmasq[7504]: dnsmasq: TFTP directory /tftpboot inaccessible: Permission denied
Nov 04 08:09:09 instack.localdomain dnsmasq[7504]: TFTP directory /tftpboot inaccessible: Permission denied
Nov 04 08:09:09 instack.localdomain dnsmasq[7504]: FAILED to start up
Nov 04 08:09:09 instack.localdomain systemd[1]: openstack-ironic-inspector-dnsmasq.service: control process exite...tus=3
Nov 04 08:09:09 instack.localdomain systemd[1]: Failed to start PXE boot dnsmasq service for Ironic Inspector.
Nov 04 08:09:09 instack.localdomain systemd[1]: Unit openstack-ironic-inspector-dnsmasq.service entered failed state.


journalctl -xn doesn't have much info.


Version-Release number of selected component (if applicable):
openstack-tripleo-0.0.1-dev1771.el7.centos.noarch
openstack-tripleo-puppet-elements-0.0.2-dev16.el7.centos.noarch
How reproducible:
100%

Steps to Reproduce:
1.Install undercloud on RHEL 7.1 (virt) using the guide  https://repos.fedorapeople.org/repos/openstack-m/rdo-manager-docs/liberty/installation/installing.html


Actual results:
Installation failed

Expected results:


Additional info:

part of debug log of undercloud installation is attached
Comment 2 Christopher Brown 2017-06-17 13:44:41 EDT
This is expected as you only want the introspection DHCP server running during introspection runs. So should be closed NOTABUG,

Note You need to log in before you can comment on or make changes to this bug.